Page MenuHomePhabricator

Coordinate Wikimedia's participation in Google Summer of Code 2020 and Outreachy Round 20
Open, MediumPublic

Description

More about these programs

Outreachy: https://www.mediawiki.org/wiki/Outreachy
GSoC: https://www.mediawiki.org/wiki/Google_Summer_of_Code

Timeline

Outreachy: https://www.outreachy.org/apply/project-selection/
GSoC: https://developers.google.com/open-source/gsoc/timeline

TODO

Before the program starts
  • Recruit organization administrators
  • Recruit ideas for projects and mentors
  • Setup Zulip chat stream for GSoC 2020 and Outreach Round 20
  • Set up a GSoC 2020 and Outreachy Round 20 page on MediaWiki.org
  • Create a Google-Summer-of-Code-2020 & Outreachy-Round-20 project tag on Phabricator
  • Sign up as a mentoring organization on Google Summer of Code and Outreachy's website
  • Get mentors to submit their project proposal on Outreachy's website.
After the applications open
  • Promote Wikimedia's participation in GSoC and Outreachy
  • Optional: Participate in the Outreachy Twitter chat
After the application deadline
  • Start an email thread with mentors and facilitate the selection process
After the results are announced
  • Send accepted participants a congratulations email and instructions to join Zulip, community building, etc.
  • Send rejected participants an email with opportunities to stay involved
  • Update the program page on MediaWiki with necessary information (accepted candidates, next steps, etc)
During the program
  • Remind students to continue working on projects and write reports
  • Outreachy contract renewal
After the program
  • Host a project showcase
  • Write a blog post
  • Archive the workboards on Phabricator

EMAIL ANNOUNCEMENTS

  • First call for projects and mentors
  • Accepted as a mentoring organization
  • Accepted projects list

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2019, 1:01 AM
srishakatux triaged this task as Medium priority.Dec 18 2019, 1:01 AM
Pavithraes updated the task description. (Show Details)Jan 16 2020, 8:39 AM
srishakatux updated the task description. (Show Details)Jan 20 2020, 9:23 PM
srishakatux updated the task description. (Show Details)Feb 25 2020, 7:40 PM
srishakatux added a comment.EditedMar 31 2020, 9:45 PM

A couple statistics on proposals that we received for GSoC:

  • 107 proposals on GSoC site out of which 51 submissions are on Phabricator.
  • Demographics:
    • 35 proposals from India
    • 5 from Nigeria
    • 2 from Spain
    • 2 from Egypt
    • 1 from Poland
    • 1 from Pakistan
    • 1 from US
    • 1 from Hong Kong

From Google:
"The numbers were much higher than ever before -- over 51,000 students registered for the program this year (a 65% increase from the previous high)! 6,335 students submitted their final proposals and applications for you all to review over these next couple of weeks (that's a 13% increase over last year)."

A couple statistics on proposals that we received for Outreachy:

  • 27 proposals on Outreachy site and 8 submissions on Phabricator. (We didn't mandate submissions on Phabricator for all projects, so 27 is the final number)
  • Demographics:
    • 15+ proposals from India
    • 3 from US
    • 1 from Nigeria
    • 1 from Spain
    • 1 from Pakistan
    • 1 from Uganda
    • 1 from Israel
    • 1 from Mexico
    • 1 from Paris
    • 1 from Cameroon
Pavithraes updated the task description. (Show Details)May 20 2020, 10:19 PM